package com.menagerie.bakers.model.europe

import com.menagerie.bakers.model.Recipe
import com.menagerie.bakers.model.TagType
import bakersmenagerie.composeapp.generated.resources.Res
import bakersmenagerie.composeapp.generated.resources.shkmeruli
import com.menagerie.bakers.model.TTT
import kotlin.time.Duration

val georgianList = listOf(
    Recipe(
        title = "Shkmeruli",
        description = "Georgian chicken dish cooked in a creamy garlic sauce, known for its rich and flavorful broth.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("45m"),
        servings = "Serves 4-6",
        ingredients = listOf(
            "2 pounds skin-on Chicken Breast, Legs, and Thighs",
            "1 Tbsp Salt",
            "3 Tbsp Clarified Butter or Ghee",
            "0.25 cup All-Purpose Flour",
            "0.25 cup Rice Flour (can be substituted with All-Purpose Flour)",
            "5 Tbsp Large Garlic Cloves (minced)",
            "1.5 cups Whole Milk",
            "1 Tsp Khmeli Suneli Spice Blend",
            "Freshly Ground Black Pepper (to taste)"
        ),
        instructions = listOf(
            "Pat dry the Chicken pieces and generously season with Salt [1 Tbsp].",
            "Melt 2 Tbsp of Clarified Butter in a medium-large heavy-bottomed pan or deep skillet. Cast iron or Dutch oven works best for this. Heat the Clarified Butter until shimmering.",
            "Mix the Rice Flour [0.25 cup] and All-Purpose Flour [0.25 cup] in a shallow bowl. Dredge the Chicken pieces in Flour and transfer to the hot skillet. Fry on both sides until the skin is golden brown and crispy, about 5 minutes per side. When the first batch is done, remove from the pan and continue with the rest of the Chicken.",
            "When all the pieces are fried, wipe the pan clean and melt the remaining 1 Tbsp of Clarified Butter. Add Garlic [5 Tbsp] and cook, stirring, for 20 seconds. Pour in the Whole Milk [1.5 cups] and bring to a simmer. Mix in the Khmeli Suneli Spice Blend [1 Tsp], if using. Lower the heat to medium-low and add the fried Chicken pieces. Simmer for 25 minutes until the Chicken is tender and cooked through. If needed, season with more Salt and Freshly Ground Black Pepper."
        ),
        tags = mapOf(
            "Georgian" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Pan Fried" to TagType.TECHNIQUE,
            "Garlic" to TagType.FLAVOUR,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
        ),
        image = Res.drawable.shkmeruli,
        ttt = TTT.TRIED,
    )
)