package com.menagerie.bakers.model.europe

import com.menagerie.bakers.model.Recipe
import com.menagerie.bakers.model.TagType
import bakersmenagerie.composeapp.generated.resources.Res
import bakersmenagerie.composeapp.generated.resources._10_strawberries
import com.menagerie.bakers.model.TTT
import kotlin.time.Duration

val hungarianList = listOf(
    Recipe(
        title = "Paprikash",
        description = "A classic Hungarian stew with tender chicken in a rich paprika-infused sour cream sauce.",
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("1h 10m"),
        servings = "Serves 4-6",
        ingredients = listOf(
            "2 Tbsp Pork Lard",
            "3 pounds Chicken Pieces (bone-in, skin-on)",
            "2 medium Yellow Onions (very finely chopped)",
            "2 cloves Garlic (finely minced)",
            "2 Roma Tomatoes (seeds removed, very finely diced)",
            "1 Hungarian Bell Pepper (diced, optional)",
            "3-4 Tbsp Hungarian Paprika",
            "2 cups Chicken Broth",
            "1.5 Tsp Sea Salt",
            "0.5 Tsp Freshly Ground Black Pepper",
            "3 Tbsp All-Purpose Flour",
            "0.75 cup Full Fat Sour Cream (room temperature)",
            "0.25 cup Heavy Whipping Cream"
        ),
        instructions = listOf(
            "Heat the Pork Lard [2 Tbsp] in a heavy pot and brown the Chicken Pieces [3 pounds] on all sides. Transfer the Chicken to a plate.",
            "In the same oil, add the Yellow Onions [2 medium] and fry until golden brown. Add the Garlic [2 cloves] and Tomatoes [2 Roma] (and Bell Pepper [1] if using) and fry another 2-3 minutes.",
            "Remove the pot from the heat and stir in the Hungarian Paprika [3-4 Tbsp], Sea Salt [1.5 Tsp], and Black Pepper [0.5 Tsp].",
            "Return the Chicken to the pot and place it back over the heat. Pour in the Chicken Broth [2 cups]. The Chicken should be mostly covered. Bring it to a boil. Cover, reduce the heat to medium-low, and simmer for 40 minutes. Remove the Chicken and transfer to a plate.",
            "In a small bowl, stir the All-Purpose Flour [3 Tbsp] into the Sour Cream [0.75 cup] and Heavy Whipping Cream [0.25 cup] mixture to form a smooth paste. Stir the Cream mixture into the sauce, whisking constantly to prevent lumps. Bring it to a simmer for a couple of minutes until the sauce is thickened. Add Sea Salt and Black Pepper to taste.",
            "Return the Chicken to the sauce and simmer to heat through.",
            "Serve the Chicken Paprikash with Hungarian Nokedli."
        ),
        tags = mapOf(
            "Hungarian" to TagType.CUISINE,
            "Eastern European" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Stew" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Pan Fried" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
        ),
        image = Res.drawable._10_strawberries, // Replace with your image resource
        ttt = TTT.TRIED,
    )
)