package com.menagerie.bakers.view.details

import androidx.compose.runtime.Composable
import androidx.navigation.NavHostController
import com.menagerie.bakers.DisplayManager
import com.menagerie.bakers.Size
import com.menagerie.bakers.Orientation
import com.menagerie.bakers.model.Recipe



@Composable
fun RecipeDetails(
    recipe: Recipe,
    multipleRecipes: Boolean,
    goForward: () -> Unit,
    navController: NavHostController,
    navTo: String,
) {
    if ((DisplayManager.size.value == Size.Large  || DisplayManager.size.value == Size.Medium) && DisplayManager.orientation.value == Orientation.Landscape)
        RecipeDetailsLarge(
            recipe = recipe,
            multipleRecipes = multipleRecipes,
            goForward = goForward,
            navController = navController,
            navTo = navTo
        )
    else
        RecipeDetailsSmall(
            recipe = recipe,
            navController = navController,
            navTo = navTo,
        )
}